Loading...
Searching...
No Matches
ideal_wrap.h File Reference

Go to the source code of this file.

## Functions

void | export_ideal ()
void | export_module ()

## Function Documentation

## export_ideal()

void export_ideal | ( |  | ) |

Definition at line 55 of file ideal_wrap.cc.

{
boost::python::class_<Ideal>("Ideal", "supports most operation a\
python list supports with the expception, that elements must\
be Polynomials")
.def(init<>())
.def(init<const Ideal&>())
.def("__str__", Ideal_as_str)
.def("ring",Ideal_get_Ring)
.def(boost::python::init <>())
.def(vector_indexing_suite<Ideal >());
}
Ideal_get_Ring
static Ring Ideal_get_Ring(const Ideal &p)
Definition ideal_wrap.cc:50
Ideal_as_str
static boost::python::object Ideal_as_str(const Ideal &p)
Definition ideal_wrap.cc:13

## export_module()

void export_module | ( |  | ) |

Definition at line 68 of file ideal_wrap.cc.

{
boost::python::class_<Module>("Module", "supports most operation a\
python list supports with the expception, that elements must\
be Polynomials")
.def(init<>())
.def(init<const Module&>())
.def("__str__", Module_as_str)
.def("ring",Ideal_get_Ring)
.def(boost::python::init <>())
.def(vector_indexing_suite<Module>());
}
Module_as_str
static boost::python::object Module_as_str(const Module &p)
Definition ideal_wrap.cc:31